OpenVDB 7.0.0

Classes | Functions
openvdb::v7_0::tools::point_partitioner_internal Namespace Reference

## Classes
struct | Array
struct | BinPointIndicesOp
struct | ComputePointOrderOp
struct | CreateOrderedPointIndexArrayOp
struct | LeafNodeOriginOp
struct | MergeBinsOp
struct | MoveSegmentDataOp
struct | OrderSegmentsOp
struct | VoxelOrderOp

## Functions
template<typename PointIndexType , typename VoxelOffsetType , typename PointArray >
void | binAndSegment (const PointArray &points, const math::Transform &xform, boost::scoped_array< typename Array< PointIndexType >::Ptr > &indexSegments, boost::scoped_array< typename Array< PointIndexType >::Ptr > &offsetSegments, size_t &segmentCount, const Index binLog2Dim, const Index bucketLog2Dim, VoxelOffsetType *voxelOffsets=nullptr, bool cellCenteredTransform=true)
| Segment points using one level of least significant digit radix bins. More...
template<typename PointIndexType , typename VoxelOffsetType , typename PointArray >
void | partition (const PointArray &points, const math::Transform &xform, const Index bucketLog2Dim, boost::scoped_array< PointIndexType > &pointIndices, boost::scoped_array< PointIndexType > &pageOffsets, PointIndexType &pageCount, boost::scoped_array< VoxelOffsetType > &voxelOffsets, bool recordVoxelOffsets, bool cellCenteredTransform)

## Function Documentation

## ◆ binAndSegment()

void openvdb::v7_0::tools::point_partitioner_internal::binAndSegment | ( | const PointArray & | points,
|  | const math::Transform & | xform,
|  | boost::scoped_array< typename Array< PointIndexType >::Ptr > & | indexSegments,
|  | boost::scoped_array< typename Array< PointIndexType >::Ptr > & | offsetSegments,
|  | size_t & | segmentCount,
|  | const Index | binLog2Dim,
|  | const Index | bucketLog2Dim,
|  | VoxelOffsetType * | voxelOffsets = `nullptr`,
|  | bool | cellCenteredTransform = `true`
| ) |  |
| inline

Segment points using one level of least significant digit radix bins.

## ◆ partition()

void openvdb::v7_0::tools::point_partitioner_internal::partition | ( | const PointArray & | points,
|  | const math::Transform & | xform,
|  | const Index | bucketLog2Dim,
|  | boost::scoped_array< PointIndexType > & | pointIndices,
|  | boost::scoped_array< PointIndexType > & | pageOffsets,
|  | PointIndexType & | pageCount,
|  | boost::scoped_array< VoxelOffsetType > & | voxelOffsets,
|  | bool | recordVoxelOffsets,
|  | bool | cellCenteredTransform
| ) |  |
| inline